Subject: Re: [PATCH] kvm/powerpc: Handle errors in secondary thread grabbing

From: Michael Ellerman <[email-masked]>
Date: Tue, 16 Oct 2012 17:00:35 +1100

On Tue, 2012-10-16 at 14:13 +1100, Paul Mackerras wrote:
> Michael,
> 
> On Tue, Oct 16, 2012 at 11:15:50AM +1100, Michael Ellerman wrote:
> > In the Book3s HV code, kvmppc_run_core() has logic to grab the secondary
> > threads of the physical core.
> > 
> > If for some reason a thread is stuck, kvmppc_grab_hwthread() can fail,
> > but currently we ignore the failure and continue into the guest. If the
> > stuck thread is in the kernel badness ensues.
> > 
> > Instead we should check for failure and bail out.
> > 
> > I've moved the grabbing prior to the startup of runnable threads, to simplify
> > the error case. AFAICS this is harmless, but I could be missing something
> > subtle.
> 
> Thanks for looking at this - but in fact this is fixed by my patch
> entitled "KVM: PPC: Book3S HV: Fix some races in starting secondary
> threads" submitted back on August 28.

OK thanks. It seems that patch didn't make 3.7 ?

I don't see it in kvm-ppc-next either.

cheers